Bug 107026 - Adding page resulting from inserting text doesn't update document view.
Summary: Adding page resulting from inserting text doesn't update document view.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Android Viewer (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: ARM Android
: medium normal
Assignee: Mert Tumer
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: mabAndroid
  Show dependency treegraph
 
Reported: 2017-04-08 02:16 UTC by Ximeng Zu
Modified: 2018-03-20 18:59 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ximeng Zu 2017-04-08 02:16:16 UTC
How to reproduce:
1. open a .odt file in editing mode.
2. insert some text until you fill the current page and a new page is supposed to be created to accommodate new text.
3. However we don't see new page showing up.
4. close the document and save.
5. reopen it and you will see the new page you created.
Comment 1 raal 2017-06-10 11:41:56 UTC
Confirmed 
Version: 5.5.0.0.alpha0+
Build ID: 076ed44
Android 5.1.1
Comment 2 Commit Notification 2018-03-13 23:44:26 UTC
Mert Tümer committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7105ad16e7e7bfde4193dc174568ebb8a293cc87

[Pardus] tdf#107026 render the new page without reopen the document

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.